OMNotebook: IAEX::NotebookParser Class Reference

- Main Page
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# IAEX::NotebookParser Class Reference

Used to open a notebookfile. More...

Inheritance diagram for IAEX::NotebookParser:

List of all members.

## Public Member Functions
virtual Cell * | parse ()

## Detailed Description

Used to open a notebookfile.

Opens a notebookfile. Note that the parser used to parse Mathematica notebooks is not completley correct. There are a lot of notebooktags that are ignored. Some big things that is not implemented is section counter and hyperlinks. Hyperlinks will maybe be implemented later. For hyperlinks to work a new browser must be implemented supporting opening of new documents. This is not implemented at the time of writing.

Those Cell styles that is not implemented could in most cases be implemented using the stylesheet.

See also:
  stylesheet::xml for more information about changing a cells style.

Here is a list of things that are implemented:

- Comments (**).
- Cell[].
- CellGroupData[].
- List[].
- StyleBox[] - does not care about newlines.
- SuperscriptBox[].
- rule[].
- Some cellstyles, Text, Title, Section, Input, Author.

Rules implemented:

- FontSlant
- FontWeight
- TextAlignment
- FontSize

Below is some tags and rules that is not implemented. Note that this is just a subset of all tags not implemented. It is far from complete.

- Cellstyles, output.
- Section counter.
- Hard newlines.
- swedish charachters (едц).
- subscript[] - will be implemented later.
- FormBox - ignored.
- RowBox - ignored.
- TextData - displayed as ordinary text.
- BoxData - ignored.
- ButtonBox - ignored, should implement links.
- FileName[] - ignored.
- RuleDelayed - interpreted as Rule.

Some rules not implemented

- InitializationCell
- RGBColor
- CharacterEncoding
- ButtonStyle
- ButtonData
- FontColor
- TextJustification

Parameters:

  | filename | is the name of the file to be opened.

Exceptions:

  | runtime_error | if the notebook can not be opened.

## Member Function Documentation

Cell * IAEX::NotebookParser::parse | ( |  | ) | `[virtual]`

| This method just calls the antlr generated parser. To change the parser look at lexer.g, parser.g and walker.g instead. Implements IAEX::NBParser.

The documentation for this class was generated from the following files:

- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/notebookparser.h
- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/notebookparser.cpp